Container
A container is a meta entity that groups records together and allows the planner to schedule those records as if it was one entity. It's a flexible tool to enforce business rules and they can be used in a variety of ways, such as creating trips, enforce work breakdown structures, manufacturing sequences, and more.
Upsert
Inserts or updates a container.
| Name | Data Type | Default | Required |
|---|---|---|---|
| Name | nvarchar(100) | ✔️ | |
| HandleDate | datetime | ||
| HandleLocked | bit | True |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_upsertContainer. - Example body:
[{"StoredProcedureName": "mboc_upsertContainer","ParameterNames": ["Name","HandleDate", "HandleLocked"],"ParameterValues": ["Container 1","2024-01-01", "false"]}]
- See
POST /container,PUT /containerin the REST API reference. - Example body:
{"Name": "Container 1","HandleDate": "2024-01-01","HandleLocked": false}
Delete
Removes a container and its members
| Name | Data Type | Default | Required |
|---|---|---|---|
| Name | nvarchar(100) | ✔️ |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_deleteContainer. - Example body:
[{"StoredProcedureName": "mboc_deleteContainer","ParameterNames": ["Name"],"ParameterValues": ["Container 1"]}]
- See
DELETE /containerin the REST API reference. - Example body:
{"Name": "Container 1","HandleDate": "2024-01-01","HandleLocked": false}